import { PropType } from "vue-demi";
declare type Direction = "horizontal" | "vertical";
declare type modeProp = PropType<Direction>;
declare const _default: import("vue-demi").DefineComponent<{
    /** pane1所占的比例*/
    modelValue: {
        type: NumberConstructor;
        default: number;
    };
    /**方向 */
    mode: {
        default: string;
        type: modeProp;
    };
    /**pane1最小宽度 单位px*/
    pane1MinSize: {
        default: number;
        type: NumberConstructor;
    };
    /**pane2最小宽度 单位px*/
    pane2MinSize: {
        default: number;
        type: NumberConstructor;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {
    "update:modelValue": null;
}, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
    /** pane1所占的比例*/
    modelValue: {
        type: NumberConstructor;
        default: number;
    };
    /**方向 */
    mode: {
        default: string;
        type: modeProp;
    };
    /**pane1最小宽度 单位px*/
    pane1MinSize: {
        default: number;
        type: NumberConstructor;
    };
    /**pane2最小宽度 单位px*/
    pane2MinSize: {
        default: number;
        type: NumberConstructor;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    mode: Direction;
    modelValue: number;
    pane1MinSize: number;
    pane2MinSize: number;
}>;
export default _default;
